Package org.eclipse.jface.viewers

# Interface IInputSelectionProvider

All Superinterfaces:
  `IInputProvider`, `ISelectionProvider`

All Known Implementing Classes:
  `AbstractListViewer`, `AbstractTableViewer`, `AbstractTreeViewer`, `CheckboxTableViewer`, `CheckboxTreeViewer`, `ColumnViewer`, `ComboViewer`, `CommonViewer`, `ContainerCheckedTreeViewer`, `ContentMergeViewer`, `ContentViewer`, `DiffTreeViewer`, `ListViewer`, `ProjectionViewer`, `SourceViewer`, `StructureDiffViewer`, `StructuredViewer`, `TableViewer`, `TextConsoleViewer`, `TextMergeViewer`, `TextViewer`, `TreeViewer`, `Viewer`

public interface IInputSelectionProvider extends IInputProvider, ISelectionProvider
Interface common to all objects that provide both an input and a selection.

## Method Summary

### Methods inherited from interface org.eclipse.jface.viewers.IInputProvider

`getInput`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`